soapStub.h File Reference

Go to the source code of this file.

## Data Structures

struct | ns__DelegationExceptionType
struct | ns__NewProxyReq
struct | _DelegationException
struct | ns__getProxyReqResponse
struct | ns__getProxyReq
struct | ns__getNewProxyReqResponse
struct | ns__getNewProxyReq
struct | ns__renewProxyReqResponse
struct | ns__renewProxyReq
struct | ns__putProxyResponse
struct | ns__putProxy
struct | ns__getTerminationTimeResponse
struct | ns__getTerminationTime
struct | ns__destroyResponse
struct | ns__destroy
struct | SOAP_ENV__Header
struct | SOAP_ENV__Code
struct | SOAP_ENV__Detail
struct | SOAP_ENV__Reason
struct | SOAP_ENV__Fault

## Typedefs

typedef char * | _XML
typedef char * | _QName

## Functions

SOAP_FMAC5 int SOAP_FMAC6 | soap_call_ns__getProxyReq (struct soap *soap, const char *soap_endpoint, const char *soap_action, char *_delegationID, struct ns__getProxyReqResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | soap_send_ns__getProxyReq (struct soap *soap, const char *soap_endpoint, const char *soap_action, char *_delegationID)
SOAP_FMAC5 int SOAP_FMAC6 | soap_recv_ns__getProxyReq (struct soap *soap, struct ns__getProxyReqResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | soap_call_ns__getNewProxyReq (struct soap *soap, const char *soap_endpoint, const char *soap_action, struct ns__getNewProxyReqResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | soap_send_ns__getNewProxyReq (struct soap *soap, const char *soap_endpoint, const char *soap_action)
SOAP_FMAC5 int SOAP_FMAC6 | soap_recv_ns__getNewProxyReq (struct soap *soap, struct ns__getNewProxyReqResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | soap_call_ns__renewProxyReq (struct soap *soap, const char *soap_endpoint, const char *soap_action, char *_delegationID, struct ns__renewProxyReqResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | soap_send_ns__renewProxyReq (struct soap *soap, const char *soap_endpoint, const char *soap_action, char *_delegationID)
SOAP_FMAC5 int SOAP_FMAC6 | soap_recv_ns__renewProxyReq (struct soap *soap, struct ns__renewProxyReqResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | soap_call_ns__putProxy (struct soap *soap, const char *soap_endpoint, const char *soap_action, char *_delegationID, char *_proxy, struct ns__putProxyResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | soap_send_ns__putProxy (struct soap *soap, const char *soap_endpoint, const char *soap_action, char *_delegationID, char *_proxy)
SOAP_FMAC5 int SOAP_FMAC6 | soap_recv_ns__putProxy (struct soap *soap, struct ns__putProxyResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | soap_call_ns__getTerminationTime (struct soap *soap, const char *soap_endpoint, const char *soap_action, char *_delegationID, struct ns__getTerminationTimeResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | soap_send_ns__getTerminationTime (struct soap *soap, const char *soap_endpoint, const char *soap_action, char *_delegationID)
SOAP_FMAC5 int SOAP_FMAC6 | soap_recv_ns__getTerminationTime (struct soap *soap, struct ns__getTerminationTimeResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | soap_call_ns__destroy (struct soap *soap, const char *soap_endpoint, const char *soap_action, char *_delegationID, struct ns__destroyResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | soap_send_ns__destroy (struct soap *soap, const char *soap_endpoint, const char *soap_action, char *_delegationID)
SOAP_FMAC5 int SOAP_FMAC6 | soap_recv_ns__destroy (struct soap *soap, struct ns__destroyResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | ns__getProxyReq (struct soap *, char *_delegationID, struct ns__getProxyReqResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | ns__getNewProxyReq (struct soap *, struct ns__getNewProxyReqResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | ns__renewProxyReq (struct soap *, char *_delegationID, struct ns__renewProxyReqResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | ns__putProxy (struct soap *, char *_delegationID, char *_proxy, struct ns__putProxyResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | ns__getTerminationTime (struct soap *, char *_delegationID, struct ns__getTerminationTimeResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | ns__destroy (struct soap *, char *_delegationID, struct ns__destroyResponse *_param_1)
SOAP_FMAC5 int SOAP_FMAC6 | soap_serve (struct soap *)
SOAP_FMAC5 int SOAP_FMAC6 | soap_serve_request (struct soap *)
SOAP_FMAC5 int SOAP_FMAC6 | soap_serve_ns__getProxyReq (struct soap *)
SOAP_FMAC5 int SOAP_FMAC6 | soap_serve_ns__getNewProxyReq (struct soap *)
SOAP_FMAC5 int SOAP_FMAC6 | soap_serve_ns__renewProxyReq (struct soap *)
SOAP_FMAC5 int SOAP_FMAC6 | soap_serve_ns__putProxy (struct soap *)
SOAP_FMAC5 int SOAP_FMAC6 | soap_serve_ns__getTerminationTime (struct soap *)
SOAP_FMAC5 int SOAP_FMAC6 | soap_serve_ns__destroy (struct soap *)

## Typedef Documentation

## _QName

typedef char* _QName

## _XML

typedef char* _XML

## Function Documentation

## ns__destroy()

SOAP_FMAC5 int SOAP_FMAC6 ns__destroy | ( | struct soap * | soap,
|  | char * | _delegationID,
|  | struct ns__destroyResponse * | _param_1 )

Web service operation 'ns__destroy' implementation, should return SOAP_OK or error code

## ns__getNewProxyReq()

SOAP_FMAC5 int SOAP_FMAC6 ns__getNewProxyReq | ( | struct soap * | soap,
|  | struct ns__getNewProxyReqResponse * | _param_1 )

Web service operation 'ns__getNewProxyReq' implementation, should return SOAP_OK or error code

## ns__getProxyReq()

SOAP_FMAC5 int SOAP_FMAC6 ns__getProxyReq | ( | struct soap * | soap,
|  | char * | _delegationID,
|  | struct ns__getProxyReqResponse * | _param_1 )

Web service operation 'ns__getProxyReq' implementation, should return SOAP_OK or error code

## ns__getTerminationTime()

SOAP_FMAC5 int SOAP_FMAC6 ns__getTerminationTime | ( | struct soap * | soap,
|  | char * | _delegationID,
|  | struct ns__getTerminationTimeResponse * | _param_1 )

Web service operation 'ns__getTerminationTime' implementation, should return SOAP_OK or error code

## ns__putProxy()

SOAP_FMAC5 int SOAP_FMAC6 ns__putProxy | ( | struct soap * | soap,
|  | char * | _delegationID,
|  | char * | _proxy,
|  | struct ns__putProxyResponse * | _param_1 )

Web service operation 'ns__putProxy' implementation, should return SOAP_OK or error code

## ns__renewProxyReq()

SOAP_FMAC5 int SOAP_FMAC6 ns__renewProxyReq | ( | struct soap * | soap,
|  | char * | _delegationID,
|  | struct ns__renewProxyReqResponse * | _param_1 )

Web service operation 'ns__renewProxyReq' implementation, should return SOAP_OK or error code

## soap_call_ns__destroy()

SOAP_FMAC5 int SOAP_FMAC6 soap_call_ns__destroy | ( | struct soap * | soap,
|  | const char * | soap_endpoint,
|  | const char * | soap_action,
|  | char * | _delegationID,
|  | struct ns__destroyResponse * | _param_1 )

Web service synchronous operation 'soap_call_ns__destroy' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code

## soap_call_ns__getNewProxyReq()

SOAP_FMAC5 int SOAP_FMAC6 soap_call_ns__getNewProxyReq | ( | struct soap * | soap,
|  | const char * | soap_endpoint,
|  | const char * | soap_action,
|  | struct ns__getNewProxyReqResponse * | _param_1 )

Web service synchronous operation 'soap_call_ns__getNewProxyReq' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code

## soap_call_ns__getProxyReq()

SOAP_FMAC5 int SOAP_FMAC6 soap_call_ns__getProxyReq | ( | struct soap * | soap,
|  | const char * | soap_endpoint,
|  | const char * | soap_action,
|  | char * | _delegationID,
|  | struct ns__getProxyReqResponse * | _param_1 )

Web service synchronous operation 'soap_call_ns__getProxyReq' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code

## soap_call_ns__getTerminationTime()

SOAP_FMAC5 int SOAP_FMAC6 soap_call_ns__getTerminationTime | ( | struct soap * | soap,
|  | const char * | soap_endpoint,
|  | const char * | soap_action,
|  | char * | _delegationID,
|  | struct ns__getTerminationTimeResponse * | _param_1 )

Web service synchronous operation 'soap_call_ns__getTerminationTime' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code

## soap_call_ns__putProxy()

SOAP_FMAC5 int SOAP_FMAC6 soap_call_ns__putProxy | ( | struct soap * | soap,
|  | const char * | soap_endpoint,
|  | const char * | soap_action,
|  | char * | _delegationID,
|  | char * | _proxy,
|  | struct ns__putProxyResponse * | _param_1 )

Web service synchronous operation 'soap_call_ns__putProxy' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code

## soap_call_ns__renewProxyReq()

SOAP_FMAC5 int SOAP_FMAC6 soap_call_ns__renewProxyReq | ( | struct soap * | soap,
|  | const char * | soap_endpoint,
|  | const char * | soap_action,
|  | char * | _delegationID,
|  | struct ns__renewProxyReqResponse * | _param_1 )

Web service synchronous operation 'soap_call_ns__renewProxyReq' to the specified endpoint and SOAP Action header, returns SOAP_OK or error code

## soap_recv_ns__destroy()

SOAP_FMAC5 int SOAP_FMAC6 soap_recv_ns__destroy | ( | struct soap * | soap,
|  | struct ns__destroyResponse * | _param_1 )

Web service asynchronous operation 'soap_recv_ns__destroy' to receive a response message from the connected endpoint, returns SOAP_OK or error code

## soap_recv_ns__getNewProxyReq()

SOAP_FMAC5 int SOAP_FMAC6 soap_recv_ns__getNewProxyReq | ( | struct soap * | soap,
|  | struct ns__getNewProxyReqResponse * | _param_1 )

Web service asynchronous operation 'soap_recv_ns__getNewProxyReq' to receive a response message from the connected endpoint, returns SOAP_OK or error code

## soap_recv_ns__getProxyReq()

SOAP_FMAC5 int SOAP_FMAC6 soap_recv_ns__getProxyReq | ( | struct soap * | soap,
|  | struct ns__getProxyReqResponse * | _param_1 )

Web service asynchronous operation 'soap_recv_ns__getProxyReq' to receive a response message from the connected endpoint, returns SOAP_OK or error code

## soap_recv_ns__getTerminationTime()

SOAP_FMAC5 int SOAP_FMAC6 soap_recv_ns__getTerminationTime | ( | struct soap * | soap,
|  | struct ns__getTerminationTimeResponse * | _param_1 )

Web service asynchronous operation 'soap_recv_ns__getTerminationTime' to receive a response message from the connected endpoint, returns SOAP_OK or error code

## soap_recv_ns__putProxy()

SOAP_FMAC5 int SOAP_FMAC6 soap_recv_ns__putProxy | ( | struct soap * | soap,
|  | struct ns__putProxyResponse * | _param_1 )

Web service asynchronous operation 'soap_recv_ns__putProxy' to receive a response message from the connected endpoint, returns SOAP_OK or error code

## soap_recv_ns__renewProxyReq()

SOAP_FMAC5 int SOAP_FMAC6 soap_recv_ns__renewProxyReq | ( | struct soap * | soap,
|  | struct ns__renewProxyReqResponse * | _param_1 )

Web service asynchronous operation 'soap_recv_ns__renewProxyReq' to receive a response message from the connected endpoint, returns SOAP_OK or error code

## soap_send_ns__destroy()

SOAP_FMAC5 int SOAP_FMAC6 soap_send_ns__destroy | ( | struct soap * | soap,
|  | const char * | soap_endpoint,
|  | const char * | soap_action,
|  | char * | _delegationID )

Web service asynchronous operation 'soap_send_ns__destroy' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code

## soap_send_ns__getNewProxyReq()

SOAP_FMAC5 int SOAP_FMAC6 soap_send_ns__getNewProxyReq | ( | struct soap * | soap,
|  | const char * | soap_endpoint,
|  | const char * | soap_action )

Web service asynchronous operation 'soap_send_ns__getNewProxyReq' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code

## soap_send_ns__getProxyReq()

SOAP_FMAC5 int SOAP_FMAC6 soap_send_ns__getProxyReq | ( | struct soap * | soap,
|  | const char * | soap_endpoint,
|  | const char * | soap_action,
|  | char * | _delegationID )

Web service asynchronous operation 'soap_send_ns__getProxyReq' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code

## soap_send_ns__getTerminationTime()

SOAP_FMAC5 int SOAP_FMAC6 soap_send_ns__getTerminationTime | ( | struct soap * | soap,
|  | const char * | soap_endpoint,
|  | const char * | soap_action,
|  | char * | _delegationID )

Web service asynchronous operation 'soap_send_ns__getTerminationTime' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code

## soap_send_ns__putProxy()

SOAP_FMAC5 int SOAP_FMAC6 soap_send_ns__putProxy | ( | struct soap * | soap,
|  | const char * | soap_endpoint,
|  | const char * | soap_action,
|  | char * | _delegationID,
|  | char * | _proxy )

Web service asynchronous operation 'soap_send_ns__putProxy' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code

## soap_send_ns__renewProxyReq()

SOAP_FMAC5 int SOAP_FMAC6 soap_send_ns__renewProxyReq | ( | struct soap * | soap,
|  | const char * | soap_endpoint,
|  | const char * | soap_action,
|  | char * | _delegationID )

Web service asynchronous operation 'soap_send_ns__renewProxyReq' to send a request message to the specified endpoint and SOAP Action header, returns SOAP_OK or error code

## soap_serve()

SOAP_FMAC5 int SOAP_FMAC6 soap_serve | ( | struct soap * |  | ) |

## soap_serve_ns__destroy()

SOAP_FMAC5 int SOAP_FMAC6 soap_serve_ns__destroy | ( | struct soap * | soap | ) |

## soap_serve_ns__getNewProxyReq()

SOAP_FMAC5 int SOAP_FMAC6 soap_serve_ns__getNewProxyReq | ( | struct soap * | soap | ) |

## soap_serve_ns__getProxyReq()

SOAP_FMAC5 int SOAP_FMAC6 soap_serve_ns__getProxyReq | ( | struct soap * | soap | ) |

## soap_serve_ns__getTerminationTime()

SOAP_FMAC5 int SOAP_FMAC6 soap_serve_ns__getTerminationTime | ( | struct soap * | soap | ) |

## soap_serve_ns__putProxy()

SOAP_FMAC5 int SOAP_FMAC6 soap_serve_ns__putProxy | ( | struct soap * | soap | ) |

## soap_serve_ns__renewProxyReq()

SOAP_FMAC5 int SOAP_FMAC6 soap_serve_ns__renewProxyReq | ( | struct soap * | soap | ) |

## soap_serve_request()

SOAP_FMAC5 int SOAP_FMAC6 soap_serve_request | ( | struct soap * | soap | ) |